List human calls
curl --request GET \
--url https://api.telleo.ai/v1/human-calls \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.telleo.ai/v1/human-calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.telleo.ai/v1/human-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "hcall_7d2e9b1c4a6f8e0d3b5c7a9e",
"object": "human_call",
"status": "queued",
"status_reason": "<string>",
"no_answer_by": "counsellor",
"counsellor": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"phone_number": "<string>",
"contact": {
"name": "<string>",
"email": "[email protected]",
"external_id": "<string>"
},
"crm_lead_linked": true,
"metadata": {},
"analyze": true,
"status_updates": "realtime",
"created_at": "2023-11-07T05:31:56Z",
"dialed_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"recording_url": "<string>",
"recording_expires_at": "2023-11-07T05:31:56Z",
"disposition": {
"key": "INTERESTED",
"label": "<string>",
"notes": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"set_by": "counsellor"
},
"analysis": {
"status": "not_requested",
"reason": "<string>",
"summary": "<string>",
"short_update": "<string>",
"call_type": "<string>",
"inferred_goal": "<string>",
"outcome": "<string>",
"sentiment": "<string>",
"conversion_likelihood": "<string>",
"counsellor_rating": 123,
"outcome_rating": 123,
"language": "<string>",
"credits": 123,
"completed_at": "2023-11-07T05:31:56Z"
},
"cost": {
"credits": 123,
"billed": true,
"note": "billed_by_provider"
},
"idempotent_replay": true
}
],
"has_more": true
}Human calls
List human calls
Your human calls, newest first. Filter by counsellor, status, number, your external_id or creation time; page with starting_after.
Scope: human_calls:read.
GET
/
human-calls
List human calls
curl --request GET \
--url https://api.telleo.ai/v1/human-calls \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.telleo.ai/v1/human-calls"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.telleo.ai/v1/human-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"id": "hcall_7d2e9b1c4a6f8e0d3b5c7a9e",
"object": "human_call",
"status": "queued",
"status_reason": "<string>",
"no_answer_by": "counsellor",
"counsellor": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"phone_number": "<string>",
"contact": {
"name": "<string>",
"email": "[email protected]",
"external_id": "<string>"
},
"crm_lead_linked": true,
"metadata": {},
"analyze": true,
"status_updates": "realtime",
"created_at": "2023-11-07T05:31:56Z",
"dialed_at": "2023-11-07T05:31:56Z",
"answered_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"recording_url": "<string>",
"recording_expires_at": "2023-11-07T05:31:56Z",
"disposition": {
"key": "INTERESTED",
"label": "<string>",
"notes": "<string>",
"set_at": "2023-11-07T05:31:56Z",
"set_by": "counsellor"
},
"analysis": {
"status": "not_requested",
"reason": "<string>",
"summary": "<string>",
"short_update": "<string>",
"call_type": "<string>",
"inferred_goal": "<string>",
"outcome": "<string>",
"sentiment": "<string>",
"conversion_likelihood": "<string>",
"counsellor_rating": 123,
"outcome_rating": 123,
"language": "<string>",
"credits": 123,
"completed_at": "2023-11-07T05:31:56Z"
},
"cost": {
"credits": 123,
"billed": true,
"note": "billed_by_provider"
},
"idempotent_replay": true
}
],
"has_more": true
}Authorizations
Your AI calling API key (vak_call_…). Authorization: Bearer <key> also works.
Query Parameters
The status the provider last reported.
Available options:
queued, ringing_counsellor, connecting, in_progress, completed, no_answer, busy, failed, canceled E.164.
Required range:
1 <= x <= 100The id of the last call on the previous page.